function plot_line(th,N,co)
% Plot line on top of current matlab figure from center.
% 
% Input
% th:   line-angle in degree, e.g. th = 35
% N:    length of longest image axis, e.g. N = 128
% co:   color, e.g. co = 'r'
%
% By Rasmus Dalgas Kongskov, 05/06/2016, DTU Compute

angr   = th/180*pi; if angr>(pi/2); angr = pi - angr; else angr = -angr; end
hold on; line([N/2 N/2*(1 + cos(angr)) ],[N/2 N/2*(1 + sin(angr))],...
'LineWidth',4,'Color',co); hold off

end 